KINWALKER(1)

NAME
kinwalker - predicts RNA folding trajectories

SYNOPSIS
kinwalker [--help] [--verbose] [--test] [--interrupt] [--printfront] [--barrier_heuristic=CHAR] [--dangle=INT] [--grouping=STRING] [--lookahead=INT] [--maxkeep=INT] [--nolonely=INT] [--transcribed=INT] [--transcription_rate=INT] [--windowsize=INT]

DESCRIPTION
The Kinwalker algorithm predicts RNA folding trajectories and first passage times by connecting the denatured state with the predicted native structure through a series of intermediate states. Kinwalker splits the folding process into a series of events where each event can either be a folding event or a transcription event. In each transcription event one base from the RNA sequence is appended to the already transcribed and (partially) folded subsequence. Kinwalker executes transcription events at regular time intervals. In each folding event a subsequence of the already transcribed RNA sequence is selected and a new structure is formed by combining base pairs from the current structure with base pairs from the mfE structure of that subsequence. This is done in such a way that the new structure includes base pairs from both structures in an energetically favorable manner. Kinwalker estimates the waiting times for individual folding events depending on the height of the energy barrier between the current structure and the new structure into which the molecule is folded. Folding events between structures can only occur, if the energy barrier between them is less than the maximum allowed energy barrier. As folding paths can only be calculated exhaustively for short sequences (n>100), heuristic approaches have to be employed which explicitly construct a (re)folding path between the two structures. The saddle height is then estimated as the highest point along the path. The best known algorithm for approximating saddle heights between RNA conformations is the Morgan-Higgs heuristic, which tries to find a folding path from an origin secondary structure to a target secondary structure where the maximum height along the path is minimal. The heuristic models state transitions at base pair resolution. Uses the ViennaRNA package (currently available at http://www.tbi.univie.ac.at/~ivo/RNA/) for free energy calculations and determination of locally optimal substructures. Kinwalker reads the RNA sequence from stdin and returns the intermediate states of the predicted folding trajectories along with first passage times and energy barriers. Kinwalker terminates when the mfE structure is reached.

OPTIONS
Usage: ./kinwalker [OPTIONS] < SeqFile > Outfile

    Options without argument:

-h,--help
    Print usage information for ./kinwalker.

--init_structure
    Start with a structure other than the open chain.

--interrupt
    Allow interrupted folding trajectories when the barrier is exceeded.

--printfront
    Creates PS plots of front progression with index i, named front_trajectory($i).ps.

-t,--test
    Use test sequence.

-v,--verbose
    Verbose mode. Print debugging messages about program progress.

    Options with argument:

--barrier_heuristic=CHAR
    'M' Morgan-Higgs,'S' limits small stacks,'B' Barriers,'A' all, then take minimum. Default: >M<

--dangle=INT
    Dangle value of 0,1,2 as in the ViennaRNA package. Default: >0<

--grouping=STRING
    How barrier_heuristic 'M' treats conflict groups("standard" or "regroup"). Default: >standard<

--lookahead=INT
    #BP that MorganHiggs forms its subpaths from. Default: >1<

--maxkeep=INT
    Breadth of breadth first search in barrier_heuristic='B'. Default: >1<

--nolonely=INT
    Value of noLonelyPairs as in ViennaRNA. Default: >2<

--transcribed=INT
    #bases initially transcribed, <0 means all is transcribed. Default: >1<)

--transcription_rate=FLOAT
    #bases transcribed per second. Default: >200<)

--windowsize=INT
    Max size of substructures considered for folding events during transcription, 0= all are considered. Default: >0<)

EXAMPLE
./kinwalker --transcribed=50 --transcription_rate=80 --barrier_heuristic=S --interrupt --window_size=100 < hok.seq > hok.out

Computes the folding trajectory of the sequence in hok.seq and writes it to hok.out. Folding starts with 50 nucleotide transcribed at a transcription rate of 80 nc/sec. Interrupted trajectories are allowed, the 'S' barrier heuristic is used and only substructures of length up to 100 nc are considered during transcription (windows_size). ./kinwalker --printfront < hok.seq > hok.out

Folds the hok.seq sequence with standard parameters, printing intermediate states of the folding trajectory to successive files named front_trajectory1.ps, front_trajectory2.ps, etc.

FILES
none

DEPENDENCIES
ViennaRNA package (http://www.tbi.univie.ac.at/~ivo/RNA/)

AUTHOR
Michael Geis <michael at bioinf dot uni-leipzig dot de>, Christoph Flamm

REFERENCES
S. R. Morgan and P. G. Higgs. Barrier heights between ground states in a model of RNA secondary structure, J. Phys. A.: Math. Gen., 31, 1998, 3153-3170.

Christoph Flamm and Ivo L. Hofacker and Sebastian Maurer-Stroh and Peter F. Stadler and Martin Zehl. Design of Multi-Stable RNA Molecules, RNA, 2000,7, 254-265.